:host { display: block; --accordion-border-color-default: #ddd; --accordion-label-font-small: var(--fds-headline-tiny, inherit); --accordion-label-font: var(--fds-accordion-label-font-default, inherit); --accordion-open-duration: 0.3s; --accordion-animation-easing: cubic-bezier(0.25, 0.46, 0.45, 0.94); --accordion-header-justify-content: space-between; --accordion-slotted-font: var(--fds-paragraphs-regular); color: var(--fds-on-surface-hi); --accordion-wrapper-border-radius: var(--fds-border-radius-container-default, var(--fds-spacing-100)); }
:host(.megamenu-alt) .accordion-wrapper, :host(.megamenu) .accordion-wrapper, :host(.licences-alt) .accordion-wrapper { background-color: unset; }
:host(.licences-alt) .accordion-wrapper { margin-bottom: 0px; }
:host(.megamenu-alt) .accordion-wrapper { border-bottom: 1px solid var(--fds-on-alternate-surface-low); border-radius: 0px; margin-bottom: 0px; }
:host(.megamenu-alt) .accordion-header { padding-bottom: var(--fds-spacing-100); padding-top: var(--fds-spacing-100); cursor: pointer; }
:host(.licences) .accordion-header { gap: var(--fds-spacing-050); }
:host(.megamenu-alt), :host(.licences-alt) { color: var(--fds-on-alternate-surface-hi); }
:host(.faq), :host(.licences-alt), :host(.licences) { --accordion-label-font: var(--fds-paragraphs-lead-bold); }
:host(.tnc), :host(.account-messages) { --accordion-label-font: var(--fds-paragraphs-regular); }
:host(.megamenu) { --accordion-wrapper-border-radius: unset; --accordion-label-font: var(--fds-paragraphs-lead); border-bottom: 1px solid var(--fds-on-alternate-surface-ulow); }
:host(.licences-alt), :host(.licences) { --accordion-header-justify-content: center; --accordion-slotted-font: var(--fds-paragraphs-small); }
:host(.megamenu), :host(.licences) { --accordion-background-color: var(--fds-alternate-surface); }
:host(:not([disable-overflow])) .accordion-content { overflow: hidden; }
:host(:not([disable-overflow])) .accordion-content--opened { overflow-y: auto; }
.accordion-wrapper { display: flex; flex-direction: column; transition: box-shadow var(--accordion-open-duration) 0s var(--accordion-animation-easing); margin-bottom: var(--fds-spacing-200); background-color: var(--accordion-background-color, var(--fds-surface-variant)); border-radius: var(--accordion-wrapper-border-radius); }
:host([has-border]) .accordion-wrapper { border: 1px solid var(--accordion-header-border-color, var(--fds-on-surface-ulow)); }
:host(.megamenu) .accordion-wrapper { padding-top: var(--fds-spacing-200); }
.accordion-wrapper--no-margin { margin-bottom: 0px; }
.accordion-header { display: flex; justify-content: var(--accordion-header-justify-content); align-items: center; padding: 0 var(--fds-spacing-200); }
.accordion-header.pointer { cursor: pointer; }
:host([has-border]) .accordion-content-wrapper { border-top: 1px solid var(--accordion-header-border-color, var(--fds-on-surface-ulow)); }
:host(.megamenu) .accordion-title { margin: 0px; }
.accordion-title { font: var(--accordion-label-font, var(--fds-paragraphs-lead-bold)); margin: 0; }
.accordion-title-small { color: var(--fds-primary); font-weight: var(--display-regular); }
.accordion-content { max-height: 0px; opacity: 1; transition: none; overflow: hidden; }
.accordion-content-wrapper { padding: var(--fds-spacing-200); }
.accordion-content--closed { max-height: 0px; pointer-events: none; overflow: hidden; }
.accordion-wrapper--animated > .accordion-content { transition: max-height var(--accordion-open-duration) var(--accordion-animation-easing); }
::slotted(*) { font: var(--accordion-slotted-font); }
.accordion-content--opened { max-height: 1000px; pointer-events: auto; overflow: hidden; }
.no-padding { padding: 0px; }
.accordion-content-wrapper-no-padding { padding-left: 0px; padding-right: 0px; }
